4Suite™ API Documentation

# ► Module Ft.Lib.TestSuite.TestModule

Provides the TestModule class for wrapping modules/packages.
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: TestModule |  |  |  | Functions: GetModuleName

## Classes

class TestModule(Ft.Lib.TestSuite.TestObject.TestObject)
Test object for a module or package.

### Methods

__init__(self, name, module, addModes, skipModes, allModes)
addTest(self, name)
getModes(self, addModes, skipModes, allModes)
getTests(self)
Get the test objects contained within this module.
loadTest(self, name)
run(self, tester)
runTest(self, tester, testObject)
showTests(self, indent)

### Methods inherited from class Ft.Lib.TestSuite.TestObject.TestObject

__str__

### Fields

## Functions

GetModuleName(filename)